<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
        integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">

</head>

<body onload="onPageLoading()">
    <div class="container jumbotron">
        <h1 class="text-center p-lg-1">Thông tin người dùng</h1>
        <div class="form-group">
            <label for="">First Name</label>
            <input type="text" id="input-firstname" class="form-coltrol">
        </div>
        <div class="form-group">
            <label for="">Last Name</label>
            <input type="text" id="input-lastname" class="form-coltrol">
        </div>
        <div class="form-group">
            <label for="">Country</label>
            <input type="text" id="input-country" class="form-coltrol">
        </div>
        <div class="form-group">
            <label for="">Subject</label>
            <textarea name="" id="textarea-subject" class="form-coltrol"></textarea>
        </div>
        <div class="form-row">
            <div class="col">
                <button class="btn btn-success w-50" id="button-edit">Sửa</button>
            </div>
            <div class="col">
                <a class="class = btn btn-primary" href="task 29.60.html">Quay lại</a>
            </div>
        </div>
    </div>
</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
    const gBASE_URL = "http://203.171.20.210:8080/devcamp-register-java-api/users"
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */


    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    // hàm xử lý sự kiện loading
    function onPageLoading() {
        var vUrlString = window.location.href;
        var vUrlObj = new URL(vUrlString);
        var vUrlId = vUrlObj.searchParams.get("id");
        
        var vDuLieuHopLe = kiemTraDuLieu(vUrlId);
        if (vDuLieuHopLe) {
            console.log(vUrlId)
            var vXHTMLRequest = new XMLHttpRequest();
            goiApiLayThongTinUser(vUrlId, vXHTMLRequest);
            vXHTMLRequest.onreadystatechange = function () {
                if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
                    //bạn hãy tự chuyển thành JSON object, past, và nghiên cứu các dữ liệu nhân về (ví dụ dùng break-point, watch; hoặc ghi ra console)
                    // alert("response Text = " + vXHTMLRequest.responseText);
                    console.log(vXHTMLRequest.responseText);  // xem trên console.log để biết cấu trúc
                    // code xử lý response ở đây
                    /*thêm code xử lý response*/
                    xuLyHienThiLenForm(vXHTMLRequest);
                }
            }
        }

    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function kiemTraDuLieu(paramUrlId) {
        if (paramUrlId == "") {
            alert("Không có Id trên Query string")
            window.location.href = "task 29.60.html";
            return false;
        }
        return true;
    }

    function goiApiLayThongTinUser(paramUrlId, paramXmlHttp) {
        paramXmlHttp.open("GET", gBASE_URL + "/" + paramUrlId, true);
        paramXmlHttp.send();
    }
    function xuLyHienThiLenForm(paramXmlHttp) {
        //debugger;
        var vUserJsonObj = JSON.parse(paramXmlHttp.responseText);
        var vInputFirstname = document.getElementById("input-firstname");
        var vInputLastname = document.getElementById("input-lastname");
        var vInputCountry = document.getElementById("input-country");
        var vTextareaSubject = document.getElementById("textarea-subject");
        vInputFirstname.value = vUserJsonObj.firstname;
        vInputLastname.value = vUserJsonObj.lastname;
        vInputCountry.value = vUserJsonObj.country;
        vTextareaSubject.value = vUserJsonObj.subject;
    }
   
</script>

</html>